summaryrefslogtreecommitdiffstats
path: root/ci/detect_installer.sh
diff options
context:
space:
mode:
authormbeierl <mark.beierl@dell.com>2017-01-17 14:22:18 -0500
committermbeierl <mark.beierl@dell.com>2017-01-18 13:58:14 -0500
commit6ce8e3db303e3a32c2a57e0638c1de070a49ef06 (patch)
treec0775706ee17ff6616cfbc5649644125039c0fd5 /ci/detect_installer.sh
parentc3eff480168e4dca242654374c31857dfb577141 (diff)
StorPerf Daily Job
Helper script that determines what installer was used. Script to generate RC file for container. Script to determine number of Cinder nodes. Daily job to pull new container, create stack based on number of Cinder nodes, issue a warm up, and then run a series of performance tests against the stack. Deletes stack once complete. JIRA: STORPERF-87 Signed-off-by: mbeierl <mark.beierl@dell.com> Change-Id: I551f21ffc85f11b0c0724205e952551022a94f5b
Diffstat (limited to 'ci/detect_installer.sh')
-rwxr-xr-xci/detect_installer.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/ci/detect_installer.sh b/ci/detect_installer.sh
new file mode 100755
index 0000000..035b7e2
--- /dev/null
+++ b/ci/detect_installer.sh
@@ -0,0 +1,22 @@
+#!/bin/bash -x
+##############################################################################
+# Copyright (c) 2015 EMC and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+which juju 2>/dev/null
+if [ $? -eq 0 ]
+then
+ INSTALLER=joid
+fi
+sudo virsh list --all | grep undercloud >/dev/null
+if [ $? -eq 0 ]
+then
+ INSTALLER=apex
+fi
+
+echo $INSTALLER \ No newline at end of file